petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGuessSetUp

Setup the initial guess object

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessSetUp(KSPGuess guess)

Collective on guess

### Input Parameter

guess -the initial guess context

### See Also

KSPGuessCreate(), KSPGuess

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessSetUp_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessSetUp_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages